LoadModule php5_module/apache不能启动/加载失败/启动失败

apache不能启动

加入下面两行,apache就不能启动的问题?
LoadModule php5_module modules/php5apache2.dll
AddType application/x-httpd-php .php


测试N久,终于发现问题,就是由于apache版本的不同,LoadModule?php5_module modules/php5apache2.dll这段代码的配置略有细微处的不同,错误就在这段代码上,

应该把LoadModule php5_module modules/php5apache2.dll中的php5apache2.dll修改成php5apache2_2.dll,

因为你使用的apache是2.2版本的,所以要这么改,改过后正确的配置如下:如果你的php目录是c:/php吧,如果是下面就是正确配置LoadModule php5_module "c:/php/php5apache2_2.dll"
AddType application/x-httpd-php .php


你可以对照一下我的配置,能够成功启动?
LoadModule php5_module "F:/SERV/PHP/php5apache2_2.dll"
AddType application/x-httpd-php .php

阅读更多
个人分类: mysql+apache+php
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

加入CSDN,享受更精准的内容推荐,与500万程序员共同成长!
关闭
关闭